Subject: Re: bug#64906: Acknowledgement ('guix shell -D po4a' fails (texlive-font-maps.drv build failure))

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 27 Jul 2023 17:11:00 -0400

Hi,

I've isolated the part that fails to the second 'updmap-sys' invocation
in the 'texlive-font-maps' profile hook; the following allowed 'guix -D
po4a texlive-bin' to succeed without errors:

--8<---------------cut here---------------start------------->8---
modified   guix/profiles.scm
@@ -1847,14 +1847,14 @@ (define (texlive-font-maps manifest)
                 (error "failed to filter updmap.cfg")))
 
             ;; Generate font maps.
-            (invoke #$(file-append texlive-scripts "/bin/updmap-sys")
-                    (string-append "--cnffile=" updmap.cfg)
-                    (string-append "--dvipdfmxoutputdir="
-                                   maproot "dvipdfmx/updmap")
-                    (string-append "--dvipsoutputdir="
-                                   maproot "dvips/updmap")
-                    (string-append "--pdftexoutputdir="
-                                   maproot "pdftex/updmap"))
+            ;; (invoke #$(file-append texlive-scripts "/bin/updmap-sys")
+            ;;         (string-append "--cnffile=" updmap.cfg)
+            ;;         (string-append "--dvipdfmxoutputdir="
+            ;;                        maproot "dvipdfmx/updmap")
+            ;;         (string-append "--dvipsoutputdir="
+            ;;                        maproot "dvips/updmap")
+            ;;         (string-append "--pdftexoutputdir="
+            ;;                        maproot "pdftex/updmap"))
 
             ;; Create ls-R file.  I know, that's not *just* for font maps, but
             ;; we've generated new files, so there's no point in running it
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim